PGTKSH(1)

NAME
pgtksh - PostgreSQL Tcl/Tk shell client

SYNOPSIS

pgtksh [ filename [ argument... ] ]

DESCRIPTION

pgtksh is a Tcl/Tk shell interface extended with PostgreSQL database access functions. (Essentially, it is wish with libpgtcl loaded.) Like with wish, the regular Tcl/Tk shell, the first command line argument is a script file, any remaining arguments are passed to the script. Special options may be processed by the X Window System libraries instead. If no script file is named, the shell is interactive.

A plain Tcl shell with PostgreSQL functions is available as pgtclsh(1).

SEE ALSO
pgtclsh(1), libpgtcl chapter in the documentation, tclsh(1), wish(1)